Subject: Re: 23.0.60; Printing doesn't use face

From: Vinicius Jose Latorre <[email-masked]>
Date: Sun, 26 Apr 2009 20:13:11 -0300

Hi David,

Sorry for the very long delay, I'm very short in time these days.

Well, printing package uses ps-print package to generate a PostScript 
file to be printed.

And ps-print does not deal with all face attributes. At present moment 
only the following face attributes are used by ps-print: bold, italic, 
underline, background color and foreground color.

The variable ps-font-family specifies the font used by all ordinary text 
to be generated.  The default is 'Courier.

When ps-print was created (1993), there weren't face attributes like 
font family, width and height.

So, I don't think this is a bug, but a missing feature.

Vinicius

Chong Yidong wrote:
> Hi Vinicius,
>
> Would you mind taking a look at this bug report?  Thanks.
>
>
> David Abrahams <[email-masked]> wrote:
>
>   
>> Even though I've set pr-faces-p to t, printing a buffer where I've set
>> the face to info-title-1 still seems to send courier to the printer.
>> The face looks nice and big and sans-serify on my screen.
>>
>> In GNU Emacs 23.0.60.2 (i686-pc-linux-gnu, GTK+ Version 2.14.4)
>>  of 2009-01-05 on mcbain
>> Windowing system distributor `The X.Org Foundation', version
>>  11.0.10502000
>> configured using `configure  '--with-x-toolkit=gtk'
>>  '--prefix=/usr/local''
>>